#pragma once

#include <J3ML/LinearAlgebra.h>
#include <J3ML/LinearAlgebra/Vector3.h>

namespace LinearAlgebra
{
    /// The CFrame is fundamentally 4 vectors (position, forward, right, up vector)
    class CoordinateFrame
    {
    public:
        Vector3 Position;
        Vector3 Front;
        Vector3 Right;
        Vector3 Up;
    };
}